
From: Anton Blanchard <anton@samba.org>

We are now allocating twice as much memory as required.

Signed-off-by: Anton Blanchard <anton@samba.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/kernel/pid.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN kernel/pid.c~allocate-correct-amount-of-memory-for-pid-hash kernel/pid.c
--- 25/kernel/pid.c~allocate-correct-amount-of-memory-for-pid-hash	2004-09-06 13:53:57.027784368 -0700
+++ 25-akpm/kernel/pid.c	2004-09-06 13:53:57.030783912 -0700
@@ -283,7 +283,7 @@ void __init pidhash_init(void)
 
 	for (i = 0; i < PIDTYPE_MAX; i++) {
 		pid_hash[i] = alloc_bootmem(pidhash_size *
-					sizeof(struct list_head));
+					sizeof(*(pid_hash[i])));
 		if (!pid_hash[i])
 			panic("Could not alloc pidhash!\n");
 		for (j = 0; j < pidhash_size; j++)
_
